#ifndef __FEATURE_TUNING_PARA_H__
#define __FEATURE_TUNING_PARA_H__
{
    .max_frame_number            =   4,
    .max_frame_number                 =   8,
    .memc_bad_mv_range           =   32,
    .memc_bad_mv_rate_th         =   48,
    .mfll_iso_th                 =   400,
    .ais_exp_th                  =   33000,
    .ais_advanced_tuning_en      =   1,
    .ais_advanced_max_iso        =   2410,
    .ais_advanced_max_exposure   =   66000,
    .reserved                    =   {
                                    33000,
                                    1200,
                                    },  
},
{
    { // iso 100, single
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 200, single
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 400, single
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 800, single
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 1200, single
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 1600, single
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 2000, single
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 2400, single
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 2800, single
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 3200, single
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // preserved, ANR off, single
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // preserved, ANR on, single
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 100, mfll
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 200, mfll
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 400, mfll
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 800, mfll
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 1200, mfll
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 1600, mfll
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 2000, mfll
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 2400, mfll
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 2800, mfll
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // iso 3200, mfll
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // preserved, ANR off, mfll
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
    { // preserved, ANR on, mfll
    8    , 8    , 16   , 16   , 9    ,6    , 3    , 40   , 100  , 160  ,
    8    , 14   , 16   , 6    , 9    ,19   , 19    ,200  , 200  , 200  ,
    8    , 64   , 64   , 1    , 25   ,64   , 64   , 1    , 9    , 9    ,
    19   , 19   , 10   , 10   , 8    ,1    , 1    , 2    , 6    , 8    ,
    8    , 8    , 8    , 1    , 1310 ,983  , 200  , 787  , 1357 , 0    ,
    },
},
#endif // __FEATURE_TUNING_PARA_H__
